Public Types | Public Member Functions

# Clutter::Path::Nodes::iterator Class Reference

Inherits Clutter::Path::Nodes::const_iterator.

Collaboration diagram for Clutter::Path::Nodes::iterator:
[legend]

List of all members.

## Public Types
typedef Path::Nodes::reference | reference
## Public Member Functions
| iterator ()
reference | operator* () const
reference | operator[] (difference_type i) const
iterator& | operator++ ()
iterator | operator++ (int)
iterator& | operator-- ()
iterator | operator-- (int)

## Member Typedef Documentation

typedef Path::Nodes::reference Clutter::Path::Nodes::iterator::reference

Reimplemented from Clutter::Path::Nodes::const_iterator.

## Constructor & Destructor Documentation

Clutter::Path::Nodes::iterator::iterator | ( |  | ) | `[inline]`

## Member Function Documentation

reference Clutter::Path::Nodes::iterator::operator* | ( |  | ) | const`[inline]`

Reimplemented from Clutter::Path::Nodes::const_iterator.

iterator Clutter::Path::Nodes::iterator::operator++ | ( | int |  | ) | `[inline]`

Reimplemented from Clutter::Path::Nodes::const_iterator.

iterator& Clutter::Path::Nodes::iterator::operator++ | ( |  | ) | `[inline]`

Reimplemented from Clutter::Path::Nodes::const_iterator.

iterator Clutter::Path::Nodes::iterator::operator-- | ( | int |  | ) | `[inline]`

Reimplemented from Clutter::Path::Nodes::const_iterator.

iterator& Clutter::Path::Nodes::iterator::operator-- | ( |  | ) | `[inline]`

Reimplemented from Clutter::Path::Nodes::const_iterator.

reference Clutter::Path::Nodes::iterator::operator[] | ( | difference_type | i | ) | const`[inline]`

Reimplemented from Clutter::Path::Nodes::const_iterator.

The documentation for this class was generated from the following file:

- cluttermm/path.h